scoreboard players add @a join 0

execute as @a[scores={join=0}] run execute if score game status matches 0 run tp @s @e[type=marker,tag=lobby,limit=1]
execute as @a[scores={join=0}] run execute if score game status matches 0 run gamemode survival @s
execute as @a[scores={join=0}] run execute as @s[tag=!notadmin,tag=!admin] run tag @s add notadmin
execute as @a[scores={join=0}] run execute if score game status matches 0 as @s[tag=notadmin] run function deathswap:ui/notadmin_ui
execute as @a[scores={join=0}] run execute if score game status matches 0 as @s[tag=admin] run function deathswap:ui/admin_ui

#English
execute as @a[scores={join=0},tag=!join] if score language setting matches 1 run tellraw @a [{"text": "§6DeathSwap§7§l｜§r"},{"text": "§eWelcome "},{"selector":"@s"},{"text": " §eto §6DeathSwap §eworld"}]
execute as @a[scores={join=0},tag=join] if score language setting matches 1 run tellraw @a [{"text": "§6DeathSwap§7§l｜§r"},{"text": "§eWelcome back, "},{"selector":"@s"}]
execute as @a[scores={join=0},tag=!join] if score language setting matches 1 run title @s title {"text": "§e§lWelcome"}
execute as @a[scores={join=0},tag=join] if score language setting matches 1 run title @s title {"text": "§e§lWelcome back"}
execute as @a[scores={join=0}] if score language setting matches 1 run title @s subtitle {"selector":"@s"}

execute as @a[scores={join=0}] if score language setting matches 1 run tellraw @s {"text": "§8§m+----------------***----------------+"}
execute as @a[scores={join=0}] if score language setting matches 1 run tellraw @s {"text": "§rThis world uses §6DeathSwap "}
execute as @a[scores={join=0}] if score language setting matches 1 run tellraw @s {"text": "§rVersion: 2.0§r | Made by: §evipvincent"}
execute as @a[scores={join=0}] if score language setting matches 1 run tellraw @s ["",{"text": "§a[Modrinth] ","clickEvent": {"action": "open_url","value": "https://modrinth.com/datapack/deathswap"},"hoverEvent": {"action": "show_text","value": "Click here to go"}},{"text": "§c[Youtube] ","clickEvent": {"action": "open_url","value": "https://www.youtube.com/@vipvincentgame"},"hoverEvent": {"action": "show_text","value": "Click here to go"}},{"text": "§9[Discord] ","clickEvent": {"action": "open_url","value": "https://discord.gg/3BKAydVfDk"},"hoverEvent": {"action": "show_text","value": "Click here to go"}}]
execute as @a[scores={join=0}] if score language setting matches 1 run tellraw @s {"text": "§8§m+----------------***----------------+"}
execute as @a[scores={join=0}] if score language setting matches 1 run tellraw @s[tag=!admin] [{"text": "§b[If you are an OP player, click here to obtain admin rights]","clickEvent": {"action": "run_command","value": "/tag @s add admin"},"hoverEvent": {"action": "show_text","value": "Only for OP players"}}]
execute as @a[scores={join=0}] if score language setting matches 1 run tellraw @s[tag=admin] [{"text": "§c[You already have admin rights, click here to revoke yours]","clickEvent": {"action": "run_command","value": "/tag @s remove admin"},"hoverEvent": {"action": "show_text","value": "Only for OP players"}}]

#中文
execute as @a[scores={join=0},tag=!join] if score language setting matches 2 run tellraw @a [{"text": "§6DeathSwap§7§l｜§r"},{"text": "§e歡迎 "},{"selector":"@s"},{"text": " §e來到§6死亡交換§e的世界"}]
execute as @a[scores={join=0},tag=join] if score language setting matches 2 run tellraw @a [{"text": "§6DeathSwap§7§l｜§r"},{"text": "§e歡迎回來， "},{"selector":"@s"}]
execute as @a[scores={join=0},tag=!join] if score language setting matches 2 run title @s title {"text": "§e§l歡迎"}
execute as @a[scores={join=0},tag=join] if score language setting matches 2 run title @s title {"text": "§e§l歡迎回來"}
execute as @a[scores={join=0}] if score language setting matches 2 run title @s subtitle {"selector":"@s"}

execute as @a[scores={join=0}] if score language setting matches 2 run tellraw @s {"text": "§8§m+----------------***----------------+"}
execute as @a[scores={join=0}] if score language setting matches 2 run tellraw @s {"text": "§r此世界使用§6DeathSwap 死亡交換"}
execute as @a[scores={join=0}] if score language setting matches 2 run tellraw @s {"text": "§r版本：2.0§r｜製作：§e早安豆江"}
execute as @a[scores={join=0}] if score language setting matches 2 run tellraw @s ["",{"text": "§a[Modrinth] ","clickEvent": {"action": "open_url","value": "https://modrinth.com/datapack/deathswap"},"hoverEvent": {"action": "show_text","value": "點我前往"}},{"text": "§c[Youtube] ","clickEvent": {"action": "open_url","value": "https://www.youtube.com/@vipvincentgame"},"hoverEvent": {"action": "show_text","value": "點我前往"}},{"text": "§9[Discord] ","clickEvent": {"action": "open_url","value": "https://discord.gg/3BKAydVfDk"},"hoverEvent": {"action": "show_text","value": "點我前往"}}]
execute as @a[scores={join=0}] if score language setting matches 2 run tellraw @s {"text": "§8§m+----------------***----------------+"}
execute as @a[scores={join=0}] if score language setting matches 2 run tellraw @s[tag=!admin] [{"text": "§b[如果你是OP玩家，點擊此處即可獲得管理員權限]","clickEvent": {"action": "run_command","value": "/tag @s add admin"},"hoverEvent": {"action": "show_text","value": "限OP玩家使用"}}]
execute as @a[scores={join=0}] if score language setting matches 2 run tellraw @s[tag=admin] [{"text": "§c[你已經擁有管理員權限，點擊此處即可撤銷自己的管理員權限]","clickEvent": {"action": "run_command","value": "/tag @s remove admin"},"hoverEvent": {"action": "show_text","value": "限OP玩家使用"}}]

tag @a add join
scoreboard players reset * join
scoreboard players set @a join 1