scoreboard players set game status -1
gamemode survival @a
kill @a
gamemode survival @a
tp @a @e[type=marker,tag=lobby,limit=1]
team leave @a
tag @a remove player
tag @a remove died
tag @a remove win
tag @a remove spectator
gamemode survival @a 
clear @a
xp set @a 0 points
xp set @a 0 levels
difficulty peaceful
effect clear
gamerule doDaylightCycle false
gamerule doWeatherCycle false
gamerule doMobSpawning true
gamerule naturalRegeneration true
gamerule reducedDebugInfo false
advancement revoke @a everything
bossbar set swap_time visible false
bossbar set swap_time players @a[tag=spectator]

#設定時間
execute if score time_set setting matches 0 run time set day
execute if score time_set setting matches 1 run time set noon
execute if score time_set setting matches 2 run time set night
execute if score time_set setting matches 3 run time set midnight
#設定天氣
execute if score weather setting matches 0 run weather clear
execute if score weather setting matches 1 run weather rain
execute if score weather setting matches 2 run weather thunder

#team
team modify red collisionRule always
team modify blue collisionRule always
team modify yellow collisionRule always
team modify green collisionRule always
team modify red friendlyFire true
team modify blue friendlyFire true
team modify yellow friendlyFire true
team modify green friendlyFire true

scoreboard players set tick timer 0
scoreboard players set second timer 0
scoreboard players set swap timer 0
scoreboard players set swap_time timer 0
scoreboard players set wait timer 0
scoreboard players reset @a hurt
scoreboard players reset @a death
scoreboard players reset @a health
scoreboard players reset @a team_red
scoreboard players reset @a team_blue
scoreboard players reset @a team_yellow
scoreboard players reset @a team_green 

scoreboard players set team_red status 0
scoreboard players set team_blue status 0
scoreboard players set team_yellow status 0
scoreboard players set team_green status 0
scoreboard players set win status 0

scoreboard players set @a solo_iterables 0
scoreboard players set @a solo_teleport 0

scoreboard players set team_choose setting 0

scoreboard players set red_count count 0
scoreboard players set blue_count count 0
scoreboard players set yellow_count count 0
scoreboard players set green_count count 0
scoreboard players set swap_count count 0
scoreboard players set team_count count 0
scoreboard players set solo_count count 0

scoreboard players set @a right_click 0
scoreboard players set @a main_right_click 0

#display
scoreboard players reset * display

scoreboard players set game status 0
function deathswap:ui/admin_ui
function deathswap:ui/notadmin_ui

#english
execute if score language setting matches 1 run tellraw @a [{"text": "§6DeathSwap§7§l｜§r"},{"text": "§eSuccessfully reset §6DeathSwap"}]
execute if score language setting matches 1 run tellraw @a[tag=!admin] [{"text": "§b[If you are an OP player, click here to obtain admin rights]","clickEvent": {"action": "run_command","value": "/tag @s add admin"},"hoverEvent": {"action": "show_text","value": "Only for OP players"}}]
execute if score language setting matches 1 run tellraw @a[tag=admin] [{"text": "§c[You already have admin rights, click here to revoke yours]","clickEvent": {"action": "run_command","value": "/tag @s remove admin"},"hoverEvent": {"action": "show_text","value": "Only for OP players"}}]

#中文
execute if score language setting matches 2 run tellraw @a [{"text": "§6DeathSwap§7§l｜§r"},{"text": "§e已成功重製§6死亡交換 DeathSwap"}]
execute if score language setting matches 2 run tellraw @a[tag=!admin] [{"text": "§b[如果你是OP玩家，點擊此處即可獲得管理員權限]","clickEvent": {"action": "run_command","value": "/tag @s add admin"},"hoverEvent": {"action": "show_text","value": "限OP玩家使用"}}]
execute if score language setting matches 2 run tellraw @a[tag=admin] [{"text": "§c[你已經擁有管理員權限，點擊此處即可撤銷自己的管理員權限]","clickEvent": {"action": "run_command","value": "/tag @s remove admin"},"hoverEvent": {"action": "show_text","value": "限OP玩家使用"}}]

execute as @a at @s run playsound entity.experience_orb.pickup master @s ~ ~ ~ 1







